function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from 'react';
import PropTypes from 'prop-types';
import classNames from 'classnames';
import { mapToCssModules, tagPropType } from '@coreui/react'; //import { Bar, Doughnut, Line, Pie, Polar, Radar } from 'react-chartjs-2';
//component - CoreUI / CCharts

var CCharts = function CCharts(props) {
  var children = props.children,
      className = props.className,
      cssModule = props.cssModule,
      innerRef = props.innerRef,
      type = props.type,
      data = props.data,
      options = props.options,
      attributes = _objectWithoutPropertiesLoose(props, ["children", "className", "cssModule", "innerRef", "type", "data", "options"]);

  var set = {
    line: Line,
    bar: Bar,
    doughnut: Doughnut,
    pie: Pie,
    polar: Polar,
    radar: Radar
  };
  var Chart = set[type]; // render

  var classes = mapToCssModules(classNames(className, 'c-chart-wrapper'), cssModule);
  return React.createElement("div", {
    className: classes
  }, React.createElement(Chart, _extends({}, attributes, {
    data: data,
    options: options,
    ref: innerRef
  })));
};

CCharts.propTypes = process.env.NODE_ENV !== "production" ? {
  children: PropTypes.node,
  className: PropTypes.string,
  cssModule: PropTypes.object,
  //
  innerRef: PropTypes.oneOfType([PropTypes.object, PropTypes.func, PropTypes.string]),
  data: PropTypes.object,
  options: PropTypes.object,
  type: PropTypes.oneOf(['line', 'bar', 'doughnut', 'pie', 'polar', 'radar'])
} : {};
CCharts.defaultProps = {
  type: 'line'
};
export default CCharts;