"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _classnames = _interopRequireDefault(require("classnames"));

var _react2 = require("@coreui/react");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

//import { Bar, Doughnut, Line, Pie, Polar, Radar } from 'react-chartjs-2';
//component - CoreUI / CCharts
var CCharts = function CCharts(props) {
  var children = props.children,
      className = props.className,
      cssModule = props.cssModule,
      innerRef = props.innerRef,
      type = props.type,
      data = props.data,
      options = props.options,
      attributes = _objectWithoutPropertiesLoose(props, ["children", "className", "cssModule", "innerRef", "type", "data", "options"]);

  var set = {
    line: Line,
    bar: Bar,
    doughnut: Doughnut,
    pie: Pie,
    polar: Polar,
    radar: Radar
  };
  var Chart = set[type]; // render

  var classes = (0, _react2.mapToCssModules)((0, _classnames["default"])(className, 'c-chart-wrapper'), cssModule);
  return _react["default"].createElement("div", {
    className: classes
  }, _react["default"].createElement(Chart, _extends({}, attributes, {
    data: data,
    options: options,
    ref: innerRef
  })));
};

CCharts.propTypes = process.env.NODE_ENV !== "production" ? {
  children: _propTypes["default"].node,
  className: _propTypes["default"].string,
  cssModule: _propTypes["default"].object,
  //
  innerRef: _propTypes["default"].oneOfType([_propTypes["default"].object, _propTypes["default"].func, _propTypes["default"].string]),
  data: _propTypes["default"].object,
  options: _propTypes["default"].object,
  type: _propTypes["default"].oneOf(['line', 'bar', 'doughnut', 'pie', 'polar', 'radar'])
} : {};
CCharts.defaultProps = {
  type: 'line'
};
var _default = CCharts;
exports["default"] = _default;
module.exports = exports.default;